﻿$ErrorActionPreference = 'Stop';

$packageName  = 'urbackup-server'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = ''

#Based on Nsis
$packageArgs = @{
  packageName   = $packageName
  softwareName  = 'urbackup-server*'
  fileType      = 'exe'
  silentArgs    = "/S"
  validExitCodes= @(0)
  url           = 'https://hndl.urbackup.org/Server/2.4.9/UrBackup%20Server%202.4.9.exe'
  checksum      = 'C2F0CCBFBEEF39203CC563EE87587D32B2D28CDEB8E95C30A3A0847BF154C7FB'
  checksumType  = 'sha256'
  url64bit      = ""
  checksum64    = ''
  checksumType64= ''
  destination   = $toolsDir
  #installDir   = "" # passed when you want to override install directory - requires licensed editions 1.9.0+
}

Install-ChocolateyPackage @packageArgs

